Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022967
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSminoralways2013-02-04 12:432013-04-02 20:08
ReporterguilleaerView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in VersionRMP20
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRMP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022967: Include the ability to open "cross store window" without adding the product again

DescriptionIs impossible to open "cross store window" without adding a new product
Steps To ReproduceIs impossible to open "cross store window" without adding a new product
Proposed SolutionStock-button_1.png
=================
- You select the product and the info screen gets opened
- Click "Add to ticket button"

Stock-button_2.png
=================
- A line for this product is created
- If you want to increase the quantity, tap the product as it happens in the regular flow
- Or if you want to increase the qty in 500 units, click the line and the numeric pad will be opened as it happens in the regular flow

Stock-button_3.png
=================
- We will add a new button "Stock check" If you want to see the info screen again
TagsNo tags attached.
Attached Filespng file icon Stock-Button_1.png [^] (143,766 bytes) 2013-02-04 12:43


png file icon Stock-Button_2.png [^] (118,971 bytes) 2013-02-04 12:44


png file icon Stock-Button_3.png [^] (157,026 bytes) 2013-02-04 12:44


diff file icon 22967_1.diff [^] (1,903 bytes) 2013-02-04 12:57 [Show Content]
diff file icon 22967_2.diff [^] (6,755 bytes) 2013-02-04 12:58 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056126)
guilleaer (developer)
2013-02-04 12:58

Attached you can find the patches
(0056202)
hgbot (developer)
2013-02-06 09:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8bc547c8f9f87ad062637d89973d5fb629a40e7d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Feb 04 12:44:32 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8bc547c8f9f87ad062637d89973d5fb629a40e7d [^]

related to issue 22967: Stock screen is not shown when product qty is changed

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0056203)
hgbot (developer)
2013-02-06 09:23

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 6591a38c908b5160c02c58dbc41d035974e8b451
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Feb 04 12:49:26 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/6591a38c908b5160c02c58dbc41d035974e8b451 [^]

related to issue 22967: Refactor the edit component and adding the new button which will be shown when a line which shows a product marked as show stock screen field is selected

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0056212)
guilleaer (developer)
2013-02-06 10:05

fixed by previous commits
(0056231)
migueldejuana (developer)
2013-02-06 16:45

Fixed and reviewed in 090956258eb3
(0056737)
hgbot (developer)
2013-02-25 08:54

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 03986632b3bb6c5be74d2937d34558ac6c1d5f53
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Feb 25 08:52:43 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/03986632b3bb6c5be74d2937d34558ac6c1d5f53 [^]

related to issue 22967: create a message for Check stock button

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0056747)
hgbot (developer)
2013-02-25 15:30

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 03986632b3bb6c5be74d2937d34558ac6c1d5f53
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Feb 25 08:52:43 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/03986632b3bb6c5be74d2937d34558ac6c1d5f53 [^]

related to issue 22967: create a message for Check stock button

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0057606)
hgbot (developer)
2013-04-02 20:04

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 8bc547c8f9f87ad062637d89973d5fb629a40e7d
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Feb 04 12:44:32 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/8bc547c8f9f87ad062637d89973d5fb629a40e7d [^]

related to issue 22967: Stock screen is not shown when product qty is changed

---
M web/org.openbravo.retail.posterminal/js/model/order.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/pointofsale.js
---
(0057607)
hgbot (developer)
2013-04-02 20:04

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 6591a38c908b5160c02c58dbc41d035974e8b451
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Feb 04 12:49:26 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/6591a38c908b5160c02c58dbc41d035974e8b451 [^]

related to issue 22967: Refactor the edit component and adding the new button which will be shown when a line which shows a product marked as show stock screen field is selected

---
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---
(0057653)
hgbot (developer)
2013-04-02 20:08

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 03986632b3bb6c5be74d2937d34558ac6c1d5f53
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Feb 25 08:52:43 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/03986632b3bb6c5be74d2937d34558ac6c1d5f53 [^]

related to issue 22967: create a message for Check stock button

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.retail.posterminal/js/pointofsale/view/editline.js
---

- Issue History
Date Modified Username Field Change
2013-02-04 12:43 guilleaer New Issue
2013-02-04 12:43 guilleaer Assigned To => guilleaer
2013-02-04 12:43 guilleaer File Added: Stock-Button_1.png
2013-02-04 12:44 guilleaer File Added: Stock-Button_2.png
2013-02-04 12:44 guilleaer File Added: Stock-Button_3.png
2013-02-04 12:57 guilleaer File Added: 22967_1.diff
2013-02-04 12:58 guilleaer File Added: 22967_2.diff
2013-02-04 12:58 guilleaer Status new => scheduled
2013-02-04 12:58 guilleaer Note Added: 0056126
2013-02-04 12:58 guilleaer fix_in_branch => pi
2013-02-06 09:23 hgbot Checkin
2013-02-06 09:23 hgbot Note Added: 0056202
2013-02-06 09:23 hgbot Checkin
2013-02-06 09:23 hgbot Note Added: 0056203
2013-02-06 10:05 guilleaer Note Added: 0056212
2013-02-06 10:05 guilleaer Status scheduled => resolved
2013-02-06 10:05 guilleaer Fixed in Version => RMP20
2013-02-06 10:05 guilleaer Resolution open => fixed
2013-02-06 16:45 migueldejuana Review Assigned To => migueldejuana
2013-02-06 16:45 migueldejuana Note Added: 0056231
2013-02-06 16:45 migueldejuana Status resolved => closed
2013-02-25 08:54 hgbot Checkin
2013-02-25 08:54 hgbot Note Added: 0056737
2013-02-25 15:30 hgbot Checkin
2013-02-25 15:30 hgbot Note Added: 0056747
2013-04-02 20:04 hgbot Checkin
2013-04-02 20:04 hgbot Note Added: 0057606
2013-04-02 20:04 hgbot Checkin
2013-04-02 20:04 hgbot Note Added: 0057607
2013-04-02 20:08 hgbot Checkin
2013-04-02 20:08 hgbot Note Added: 0057653


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker